Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Class FamilyClusterInfoImpl

    java.lang.Object
      org.jboss.ha.framework.interfaces.FamilyClusterInfoImpl

All Implemented Interfaces:
  FamilyClusterInfo

public class FamilyClusterInfoImpl
extends Object
implements FamilyClusterInfo

Default implementation of FamilyClusterInfo

Version:
  $Revision: 1.4 $
Author:
  Sacha Labourey.
See Also:
  `FamilyClusterInfo`, `ClusteringTargetsRepository`

Field Summary
`String` | `familyName`

Fields inherited from interface org.jboss.ha.framework.interfaces.FamilyClusterInfo
`UNINITIALIZED_CURSOR`

Constructor Summary
`protected` | `FamilyClusterInfoImpl(String familyName, ArrayList targets, long viewId)`

Method Summary
`boolean` | `currentMembershipInSyncWithViewId()`
`boolean` | `equals(Object o)`
`long` | `getCurrentViewId()`
`int` | `getCursor()`
`String` | `getFamilyName()`
`Object` | `getObject()`
`ArrayList` | `getTargets()`
`int` | `hashCode()`
`ArrayList` | `removeDeadTarget(Object target)`
`void` | `resetView()`
`int` | `setCursor(int cursor)`
`Object` | `setObject(Object whatever)`
`String` | `toString()`
`ArrayList` | `updateClusterInfo(ArrayList targets, long viewId)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### familyName

    public String familyName

Constructor Detail

### FamilyClusterInfoImpl

    protected FamilyClusterInfoImpl(String familyName,
                                    ArrayList targets,
                                    long viewId)

Method Detail

### getFamilyName

    public String getFamilyName()

  Specified by:
    `getFamilyName` in interface `FamilyClusterInfo`

### getTargets

    public ArrayList getTargets()

  Specified by:
    `getTargets` in interface `FamilyClusterInfo`

### getCurrentViewId

    public long getCurrentViewId()

  Specified by:
    `getCurrentViewId` in interface `FamilyClusterInfo`

### getCursor

    public int getCursor()

  Specified by:
    `getCursor` in interface `FamilyClusterInfo`

### setCursor

    public int setCursor(int cursor)

  Specified by:
    `setCursor` in interface `FamilyClusterInfo`

### getObject

    public Object getObject()

  Specified by:
    `getObject` in interface `FamilyClusterInfo`

### setObject

    public Object setObject(Object whatever)

  Specified by:
    `setObject` in interface `FamilyClusterInfo`

### removeDeadTarget

    public ArrayList removeDeadTarget(Object target)

  Specified by:
    `removeDeadTarget` in interface `FamilyClusterInfo`

### updateClusterInfo

    public ArrayList updateClusterInfo(ArrayList targets,
                                       long viewId)

  Specified by:
    `updateClusterInfo` in interface `FamilyClusterInfo`

### currentMembershipInSyncWithViewId

    public boolean currentMembershipInSyncWithViewId()

  Specified by:
    `currentMembershipInSyncWithViewId` in interface `FamilyClusterInfo`

### resetView

    public void resetView()

  Specified by:
    `resetView` in interface `FamilyClusterInfo`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.